using System.ComponentModel;
using SewingDressesDataModels.Enums;
using SewingDressesDataModels.Models;

namespace SewingDressesContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int DressId { get; set; }
        public int? ImplementId { get; set; }
        public int ClientId { get; set; }
        [DisplayName("Имя клиента")]
        public string ClientFIO { get; set; } = string.Empty;
        [DisplayName("Имя исполнителя")]
        public string? ImplementFIO { get; set; } = string.Empty;
        [DisplayName("Платье")]
        public string DressName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; }
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
